package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.common.Result;
import com.fdkankan.ucenter.entity.VaildCameras;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 代理商可用相机表 服务类
 * </p>
 *
 * @author 
 * @since 2022-11-02
 */
public interface IVaildCamerasService extends IService<VaildCameras> {

    Result getVaildCameras(String file, String companyName) throws Exception;

    Result addVaildCameras(String macId, String companyName, String wifiName);

    Result deleteVaildCameras(String macId, String companyName);
}
